Name:           bsp-helios4
Version:        1
Release:        1%{?dist}
Summary:        Support package for Helios4 NAS

License:        GPLv2
URL:            https://kobol.io/helios4/
Source0:        https://raw.githubusercontent.com/armbian/build/master/packages/bsp/helios4/90-helios4-hwmon.rules
# for patched kernel
Source2:        https://raw.githubusercontent.com/armbian/build/master/packages/bsp/helios4/fancontrol_pwm-fan.conf
# for non-patches kernel allowing only 1 PWM controlled fan
Source3:        fancontrol-single.conf
Source4:        hwmon.conf

BuildArch:      noarch
Requires:       lm_sensors
Requires:       i2c-tools


%description
%{summary}.
- load lm75 module
- fancontrol


%prep


%build


%install
mkdir -p %{buildroot}{%{_udevrulesdir},%{_sysconfdir},%{_modulesloaddir}}

install -p -m 644 %{SOURCE0} %{buildroot}%{_udevrulesdir}/
install -p -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/fancontrol
install -p -m 644 %{SOURCE4} %{buildroot}%{_modulesloaddir}/


%files
%{_sysconfdir}/fancontrol
%{_udevrulesdir}/*.rules
%{_modulesloaddir}/hwmon.conf


%changelog
* Fri Aug 16 2019 Dan Horák <dan@danny.cz> - 1-1
- initial version
